package eu.unitn.disi.db.dkcore;

/**
 * Implementation of "Distributed  k-Core View Materialization and Maintenance for Large Dynamic Graphs"
 *  from Aksu, H. Dept. of Comput. Eng., Bilkent Univ., Ankara, Turkey
 *  Canim, M. ; Yuan-Chi Chang ; Korpeoglu, I. ; Ulusoy, O.
 *
 * @author Martin Brugnara (martin.brugnara@alumni.unitn.it) [<a href="http://db.disi.unitn.eu/">dbTrento</a>]
 */

public class Main {

    /**
     * 0) path: graph
     * 1) path: split points (regions)
     * 2) int:  k to compute
     * 3) path: updates stream (file path is ok)
     */
    public static void main(String ... args) {
        if (args.length != 4) {
            System.out.println("Args: graph splitPoints k ops");
            System.exit(1);
        }

        if (!DBLoader.load(args[0], args[1])) System.exit(1);
        if (!KCore.compute(args[1], Integer.parseInt(args[2])))System.exit(1);
        if (!Online.process(args[3], Integer.parseInt(args[2]))) System.exit(1);
    }
}
