package eu.unitn.disi.db.dkcore.rc;

/**
 * Implementation of "Distributed  k-Core View Materialization and Maintenance for Large Dynamic Graphs"
 *  from Aksu, H. Dept. of Comput. Eng., Bilkent Univ., Ankara, Turkey
 *  Canim, M. ; Yuan-Chi Chang ; Korpeoglu, I. ; Ulusoy, O.
 *
 * @author Martin Brugnara (martin.brugnara@alumni.unitn.it) [<a href="http://db.disi.unitn.eu/">dbTrento</a>]
 */

import org.apache.hadoop.hbase.ipc.CoprocessorProtocol;

import java.io.IOException;

public interface PreProcessingProtocol extends CoprocessorProtocol {
    void computeDegrees() throws IOException;
    void computeQnc(int k) throws IOException;
    void filteredExport(int k) throws IOException;
    boolean filterOutEdges(int k) throws IOException;
}
