package eu.unitn.disi.db.dkcore.rc;

/**
 * Implementation of "Distributed  k-Core View Materialization and Maintenance for Large Dynamic Graphs"
 *  from Aksu, H. Dept. of Comput. Eng., Bilkent Univ., Ankara, Turkey
 *  Canim, M. ; Yuan-Chi Chang ; Korpeoglu, I. ; Ulusoy, O.
 *
 * @author Martin Brugnara (martin.brugnara@alumni.unitn.it) [<a href="http://db.disi.unitn.eu/">dbTrento</a>]
 */

import org.apache.hadoop.hbase.ipc.CoprocessorProtocol;

import java.io.IOException;
import java.util.Collection;
import java.util.List;
import java.util.Set;

public interface ProcessingProtocol extends CoprocessorProtocol {
    List<String> prunedTraversal(List<String> insertTraversal, int k) throws IOException;
    List<String> deleteEdges(List<String> deleteList, int k) throws IOException;
    List<String> fileterExistings(List<String> nodes) throws IOException;
}
